﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Cassandraemon.Connection
{
    public class CassandraConnectionEventArgs
        : EventArgs
    {
        public CassandraConnectionEventArgs(
            string hostName,
            TimeSpan elapsed,
            Exception err)
        {
            this._HostName = hostName;
            this._Elapsed = elapsed;
            this._Exception = err;
        }

        readonly string _HostName;
        readonly TimeSpan _Elapsed;
        readonly Exception _Exception;

        public string HostName { get { return _HostName; } }
        public TimeSpan Elapsed { get { return _Elapsed; } }
        public Exception Exception { get { return _Exception; } }
    }
}
