using System;


namespace Cassandraemon
{

	public static class GuidExtensions
	{
		public static DateTime ToDateTime(this Guid guid)
		{
			return TimeGenerator.GetDateTime(guid);
		}
		
		public static DateTime ToDateTime(this Guid guid, DateTimeKind kind)
		{
			return TimeGenerator.GetDateTime(guid, kind);
		}
		
		public static DateTime ToDateTimeUtc(this Guid guid)
		{
			return TimeGenerator.GetDateTimeUtc(guid);
		}
		
		public static DateTime ToDateTimeLocal(this Guid guid)
		{
			return TimeGenerator.GetDateTimeLocal(guid);
		}
	}
}
