using System;


namespace Cassandraemon.FullText
{
	[AttributeUsage(AttributeTargets.Property)]
	public sealed class DocumentFieldAttribute : Attribute
	{
		public string FieldName { get; set; }

		public DocumentFieldAttribute ()
		{
		}
		
		public DocumentFieldAttribute (string fieldName)
		{
			FieldName = fieldName;
		}
	}
}
