using System;
using System.Collections.Generic;


namespace Cassandraemon
{

	static class BuilderUtil
	{
		public static List<T> ConvertArray<T>(Array array, Func<object, T> converter)
		{
			var list = new List<T>();
			
			foreach(var item in array)
			{
				list.Add(converter(item));
			}
			
			return list;
		}

	}
}
